{% extends "educacao/index.html" %}

{% load staticfiles %}
{% load crispy_forms_tags %}


{% block barra_horizontal %}
    {% if usuario in aula.disciplina.professores.all %}
    <li>
        <a class="btn btn-secondary botao-barra-horizontal" href="{% url 'educacao:criar_artigo' aula.id %}">
            <img src="{% static 'icones/novo.svg'%}" width="20px">
            Artigo
        </a>
    </li>
    <li>
        <a class="btn btn-secondary botao-barra-horizontal" href="#">
            <img src="{% static 'icones/novo.svg'%}" width="20px">
            Anexo
        </a>
    </li>
    {% endif %}
    <li>
        <a class="btn btn-warning botao-barra-horizontal" href="{% url 'educacao:ver_disciplina' aula.disciplina.id %}">
            Voltar
        </a>
    </li>
{% endblock %}


{% block corpo_pagina %}
    <div class="container-fluid bg-light rounded-top">

    <p style="margin-top: 10px"></p>

    <ul class="nav nav-tabs" id="myTab" role="tablist">
        <li class="nav-item">
            <a class="nav-link active" data-toggle="tab" href="#artigos" role="tab">
                Artigos
            </a>
        </li>
        <li class="nav-item">
            <a class="nav-link" data-toggle="tab" href="#anexos" role="tab">
                Anexos
            </a>
        </li>
    </ul>

    <div class="tab-content" id="myTabContent" style="margin-top: 10px">
        <div class="tab-pane fade show active tabela_maior" id="artigos" role="tabpanel">
            {% if artigos.count > 0 %}
            <table class="tabela-lista" id="tabela-aulas">
                <thead>
                    <tr>
                        <th>Ações</th>
                        <th>Título</th>
                    </tr>
                </thead>
                <tbody>
                {% for artigo in artigos %}
                <tr>
                    <td>
                        <a href="{% url 'educacao:ver_artigo' artigo.id %}">
                            <img src="{% static 'icones/ver.svg' %}" alt="Ver">
                        </a>
                        {% if usuario.tipo == usuario.TIPO_DOCENTE %}
                        <a href="{% url 'educacao:editar_artigo' artigo.id %}">
                            <img src="{% static 'icones/editar.svg' %}" alt="Editar">
                        </a>
                        <a href="#">
                            <img src="{% static 'icones/apagar.svg' %}" alt="Remover">
                        </a>
                        {% endif %}
                    </td>
                    <td>{{ artigo.titulo }}</td>
                </tr>
                {% endfor %}
                </tbody>
            </table>
            {% else %}
                Nenhum artigo ainda!
            {% endif %}
        </div>

        <div class="tab-pane fade show tabela_maior" id="anexos" role="tabpanel">
            {% if anexos.count > 0 %}
            {% else %}
                Nenhum anexo ainda!
            {% endif %}
        </div>
    </div>


    </div>
{% endblock %}




{% block javascript %}
{% endblock %}

